Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Interface Transaction.State

Enclosing interface:
  Transaction

    public static interface Transaction.State

`FeatureStore` implementations can use this interface to externalize the state they require to implement `Transaction` support. The commit and rollback methods will be called as required. The intention is that several `FeatureStore`s can share common transaction state (example: Postgis feature stores sharing a connection to the same database).

Since:
  GeoAPI 2.0

Method Summary
`void` | `addAuthorization(String authorizationID)` Call back used for `Transaction.useAuthorization(authorizationID)`.
`LockResponse` | `commit()` Call back used for `Transaction.commit()`.
`void` | `rollback()` Call back used for `Transaction.rollback()`
`void` | `setTransaction(Transaction transaction)` Provides configuration information for this `Transaction.State`.

Method Detail

### setTransaction

    void setTransaction(Transaction transaction)

  Provides configuration information for this `Transaction.State`. This method is called with non null `transaction` when this state is put into a transaction. This transaction will be used to determine correct event notification.

  This method is called again with `null` when state is removed (usually during `Transaction.close()`).

### addAuthorization

    void addAuthorization(String authorizationID)
                          throws IOException

  Call back used for `Transaction.useAuthorization(authorizationID)`.

  Throws:
    `IOException`

### commit

    LockResponse commit()
                        throws IOException

  Call back used for `Transaction.commit()`.

  Throws:
    `IOException`

### rollback

    void rollback()
                  throws IOException

  Call back used for `Transaction.rollback()`

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.